%global momorel 2
Name:		nautilus-media
Summary:	Nautilus media component
Version: 0.8.0
Release: %{momorel}m
License: 	GPL
Group:		User Interface/Desktops
%NoSource 0 ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/0.8/%{name}-%{version}.tar.bz2 78b2cdc9146af482cac52a549440e1ca
URL: 		http://www.gnome.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: nautilus-devel >= 2.4.2
BuildPrereq: gstreamer-devel >= 0.8.1
BuildPrereq: libgnomeui-devel >= 2.6.0
BuildPrereq: eel-devel >= 2.6.0
BuildPrereq: libgnome-devel >= 2.6.0
BuildPrereq: gst-plugins-devel >= 0.8.1
Prereq: GConf

%description
Nautilus is an open-source file manager and graphical shell being
developed by Eazel, Inc. and others. It is part of the GNOME project, and its
source code can be found in the GNOME CVS repository. Nautilus is still in
the early stages of development. It will become an integral part of the
GNOME desktop environment when it is finished.

%prep
%setup -q

%build
%configure
%make

%install
rm -rf %{buildroot}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall

%clean
rm -rf %{buildroot}

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/gst-thumbnail.schemas > /dev/null

%preun
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-uninstall-rule \
  %{_sysconfdir}/gconf/schemas/gst-thumbnail.schemas > /dev/null

%files
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/gconf/schemas/gst-thumbnail.schemas
%{_bindir}/gst-thumbnail
%{_libdir}/bonobo/servers/Nautilus_View_*.server
%{_libdir}/bonobo/lib*
%{_datadir}/gnome-2.0/ui/*.xml
%{_datadir}/locale/*/*/*.mo
%{_datadir}/pixmaps/nautilus-media
%{_datadir}/nautilus/glade/audio-properties-view.glade
%{_libexecdir}/nautilus-*

%changelog
* Tue Apr 22 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.8.0-2m)
- adjustment BuildPreReq

* Sat Apr 17 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (0.8.0-1m)
- update to 0.8.0
- GNOME 2.6 Desktop
- add gconftool-2 for gst-thumbnail.schemas in %%post and %%preun sections
- change location of %%changelog

* Thu Mar 25 2004 Toru Hoshina <t@momonga-linux.org>
- (0.3.3.1-2m)
- revised spec for rpm 4.2.

* Tue Sep 16 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (0.3.3.1-1m)
- version 0.3.3.1

* Sat Aug 16 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.3.1-1m)
- version 0.3.1

* Wed Jun 11 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.3.0-1m)
- version 0.3.0

* Mon Mar 10 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.2.1-3m)
- rebuild against for XFree86-4.3.0

* Sat Mar  8 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.2.1-2m)
  rebuild against openssl 0.9.7a

* Fri Feb 07 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.2.1-1m)
- version 0.2.1

* Mon Feb  3 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.2.0-2m)
- rebuild against for gstreamer,gst-plugins

* Thu Jan 23 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.2.0-1m)
- version 0.2.0

* Tue Jan 14 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.1.2-1m)
- version 0.1.2

* Thu Dec 12 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.1.0-1m)
- version 0.1.0

* Tue Dec 03 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.0.3-1m)
- version 0.0.3
